API REFERENCEv1

Check Keyword Availability

GEThttps://api2.protexting.com/v1/keyword/check-availability

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Endpoint
https://api2.protexting.com/v1/keyword/check-availability?keyword=<keyword>&number=<your_number>&access_token=<your_access_token>

Request parameters:

* required parameters

ParameterDescription
* keyword String, min 4 characters
* number Integer, (account short code or long number) see here »

Response parameters:

ParameterDescription
Keyword String
Number Integer, (account short code or long number) see here »
Status_Id Integer
Status_Description String
Message String

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/keyword/check-availability?keyword=ProTexting&number=82257&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/v1/keyword/check-availability?keyword=ProTexting&number=82257&access_token=your_access_token&page=1>; rel=self Pragma: no-cache X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
[
    {
    	"Keyword": "ProTexting",
        "Number": "82257",
        "Status_Id": 0,
        "Status_Description": "Not_Available",
        "Message: "The keyword is not available."
    }
]
XML response example
<response>
    <item>
    	<Keyword>ProTexting</Keyword>
        <Number>82257</Number>        <Status_Id>0</Status_Id>        <Status_Description>Not_Avialable</Status_Description>        <Message>The keyword is not available</Message>
    </item>
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Statuses

IdDescription
0Not Available
1Avialable

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.